Substy Developers
Account and agency

Set account profile image

Replace the authenticated user’s profile image with base64 PNG or JPEG file bytes and the matching contentType. Maximum decoded file size is 10 MiB. Returns the updated account profile.

PUT/v1/agencies/{agencyId}/account/profile/image

Replace the authenticated user’s profile image with base64 PNG or JPEG file bytes and the matching contentType. Maximum decoded file size is 10 MiB. Returns the updated account profile.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/agencies/string/account/profile/image" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "contentType": "image/png",    "base64": "string"  }'
{  "data": {    "id": "string",    "firstName": null,    "lastName": null,    "imageUrl": "string",    "primaryEmailAddressId": null,    "emails": [      {        "id": "string",        "emailAddress": "string",        "verificationStatus": null      }    ],    "externalAccounts": [      {        "id": "string",        "provider": "string",        "emailAddress": "string"      }    ],    "passwordEnabled": true,    "twoFactorEnabled": true,    "deleteSelfEnabled": true  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}